import { Component, OnInit } from '@angular/core';

import { SearchResult } from 'app/shared/model/search-result';
import { MOCK_RESULTS } from './mock-search-results';

@Component({
  selector: 'jhi-mock-search',
  templateUrl: './mock-search.component.html',
  styleUrls: ['./mock-search.scss'],
})
export class MockSearchComponent implements OnInit {
  mockResults = MOCK_RESULTS;
  selectedResult?: SearchResult;

  someString = 'this is a string';

  constructor() {}

  ngOnInit(): void {}

  public get results(): SearchResult[] {
    return this.mockResults;
  }
}
