package at.ac.uibk.gitsearch.repository.search;

import at.ac.uibk.gitsearch.service.dto.GitFilesAggregationDTO;
import at.ac.uibk.gitsearch.service.dto.GitFilesPageDetailsDTO;
import at.ac.uibk.gitsearch.service.dto.SearchInputDTO;

import java.io.IOException;
import java.util.List;

public interface GitFilesRepository {

    GitFilesPageDetailsDTO pageDetails(SearchInputDTO searchInputDTO, int pageSize) throws IOException;

    GitFilesAggregationDTO aggregation(String query) throws IOException;
}
